#!/bin/bash

#Parametrage de la carte PVR-150
v4l2-ctl -i 2 >/dev/null
v4l2-ctl -s pal >/dev/null
v4l2-ctl -c stream_type=2
v4l2-ctl -c stream_vbi_format=0
v4l2-ctl -c video_aspect=0
v4l2-ctl -c video_bitrate_mode=1
v4l2-ctl -c video_bitrate=600000
v4l2-ctl -c video_peak_bitrate=600000
v4l2-ctl -c video_gop_size=15
v4l2-ctl -c video_b_frames=2
v4l2-ctl -c video_gop_closure=1
v4l2-ctl -c audio_sampling_frequency=2
v4l2-ctl -c audio_encoding_layer=1
v4l2-ctl -c audio_layer_ii_bitrate=9
v4l2-ctl -c audio_stereo_mode=0
v4l2-ctl -c audio_emphasis=0
v4l2-ctl -c audio_crc=0

#Creation du fichier pipe
#s'il n'existe pas.
if [ ! -e "/tmp/datv.pipe" ]
then
  mkfifo /tmp/datv.pipe
fi

#On dit au programme principal que
#l'initialisation est faite.
echo "OK"

#Attendre la permission du programme
#principal de lancer l'encodage.
#Si dans un delai de 2 secondes il n'y a pas
#de reponse, on quitte. 
LIMITETEMPS=2        # 2 secondes
read -t $LIMITETEMPS variable
if [ "$variable" = OK ]
then
#	echo "variable = $variable"
   cp /dev/video0 /tmp/datv.pipe
fi 

exit 0
